> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easierprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Live Quotes

> Real-time bid/ask ticks for subscribed symbols. Updates at the configured interval.
Quote data is wrapped in a `data` field containing the upstream quote object.

**Channel name:** `quotes`
**Required:** `symbols` array, `account_id`
**Default interval:** 500ms




## AsyncAPI

````yaml asyncapi-spec/websockets.yaml quotes
id: quotes
title: Live Quotes
description: >
  Real-time bid/ask ticks for subscribed symbols. Updates at the configured
  interval.

  Quote data is wrapped in a `data` field containing the upstream quote object.


  **Channel name:** `quotes`

  **Required:** `symbols` array, `account_id`

  **Default interval:** 500ms
servers:
  - id: production
    protocol: wss
    host: api.easierprop.com
    bindings: []
    variables: []
address: /ws
parameters: []
bindings: []
operations:
  - &ref_2
    id: subscribeQuotes
    title: Subscribe quotes
    description: Subscribe to live quotes
    type: receive
    messages:
      - &ref_4
        id: subscribe
        contentType: application/json
        payload:
          - name: Subscribe
            description: Subscribe to a channel
            type: object
            properties:
              - name: type
                type: string
                description: subscribe
                required: true
              - name: channel
                type: string
                description: Channel to subscribe to
                enumValues:
                  - quotes
                  - orders
                  - profit
                  - heartbeat
                  - new_position
                  - ohlc
                  - order_book
                  - tick_value
                required: true
              - name: account_id
                type: string
                description: MT5 account ID
                required: true
              - name: symbols
                type: array
                description: >-
                  Required for quotes and order_book. For ohlc and tick_value,
                  the first symbol is used.
                examples: &ref_0
                  - - EURUSD
                    - GBPUSD
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
              - name: interval_ms
                type: integer
                description: >-
                  Minimum milliseconds between updates. For ohlc, this value is
                  interpreted as timeframe in minutes.
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          required:
            - type
            - channel
            - account_id
          properties:
            type:
              type: string
              const: subscribe
              x-parser-schema-id: <anonymous-schema-2>
            channel:
              type: string
              enum:
                - quotes
                - orders
                - profit
                - heartbeat
                - new_position
                - ohlc
                - order_book
                - tick_value
              description: Channel to subscribe to
              x-parser-schema-id: <anonymous-schema-3>
            account_id:
              type: string
              format: uuid
              description: MT5 account ID
              x-parser-schema-id: <anonymous-schema-4>
            symbols:
              type: array
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-6>
              description: >-
                Required for quotes and order_book. For ohlc and tick_value, the
                first symbol is used.
              examples: *ref_0
              x-parser-schema-id: <anonymous-schema-5>
            interval_ms:
              type: integer
              description: >-
                Minimum milliseconds between updates. For ohlc, this value is
                interpreted as timeframe in minutes.
              default: 500
              x-parser-schema-id: <anonymous-schema-7>
          examples:
            - type: subscribe
              channel: quotes
              account_id: 70f60784-20f1-45ba-9a04-8e01c0b810c3
              symbols:
                - EURUSD
                - GBPUSD
              interval_ms: 500
          x-parser-schema-id: <anonymous-schema-1>
        title: Subscribe
        description: Subscribe to a channel
        example: |-
          {
            "type": "subscribe",
            "channel": "quotes",
            "account_id": "70f60784-20f1-45ba-9a04-8e01c0b810c3",
            "symbols": [
              "EURUSD",
              "GBPUSD"
            ],
            "interval_ms": 500
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: subscribe
    bindings: []
    extensions: &ref_1
      - id: x-parser-unique-object-id
        value: quotes
  - &ref_3
    id: receiveQuotes
    title: Receive quotes
    description: Receive quote ticks
    type: send
    messages:
      - &ref_5
        id: event
        contentType: application/json
        payload:
          - name: Quote Tick
            description: >-
              Real-time bid/ask update (data wrapper contains the upstream quote
              object)
            type: object
            properties:
              - name: type
                type: string
                description: quote
                required: false
              - name: account_id
                type: string
                required: false
              - name: data
                type: object
                description: Upstream quote object
                required: false
                properties:
                  - name: ask
                    type: number
                    required: false
                  - name: bid
                    type: number
                    required: false
                  - name: last
                    type: number
                    required: false
                  - name: symbol
                    type: string
                    required: false
                  - name: time
                    type: string
                    required: false
                  - name: volume
                    type: number
                    required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            type:
              type: string
              const: quote
              x-parser-schema-id: <anonymous-schema-9>
            account_id:
              type: string
              format: uuid
              x-parser-schema-id: <anonymous-schema-10>
            data:
              type: object
              description: Upstream quote object
              properties:
                ask:
                  type: number
                  example: 1.08544
                  x-parser-schema-id: <anonymous-schema-12>
                bid:
                  type: number
                  example: 1.08542
                  x-parser-schema-id: <anonymous-schema-13>
                last:
                  type: number
                  example: 0
                  x-parser-schema-id: <anonymous-schema-14>
                symbol:
                  type: string
                  example: EURUSD
                  x-parser-schema-id: <anonymous-schema-15>
                time:
                  type: string
                  example: '2026-04-01T12:30:00'
                  x-parser-schema-id: <anonymous-schema-16>
                volume:
                  type: number
                  example: 0
                  x-parser-schema-id: <anonymous-schema-17>
              x-parser-schema-id: <anonymous-schema-11>
          x-parser-schema-id: <anonymous-schema-8>
        title: Quote Tick
        description: >-
          Real-time bid/ask update (data wrapper contains the upstream quote
          object)
        example: |-
          {
            "type": "<string>",
            "account_id": "<string>",
            "data": {
              "ask": 123,
              "bid": 123,
              "last": 123,
              "symbol": "<string>",
              "time": "<string>",
              "volume": 123
            }
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: event
    bindings: []
    extensions: *ref_1
sendOperations:
  - *ref_2
receiveOperations:
  - *ref_3
sendMessages:
  - *ref_4
receiveMessages:
  - *ref_5
extensions:
  - id: x-parser-unique-object-id
    value: quotes
securitySchemes:
  - id: ApiKeyAuth
    name: apiKey
    type: httpApiKey
    description: >-
      API key passed as query parameter:
      wss://api.easierprop.com/ws?apiKey=sk_your_key
    in: query
    extensions: []

````